nz-list.warnings-container([nzHeader]="listHeader", [nzNoResult]="listNoResult", [nzDataSource]="data.items", [nzRenderItem]="renderItem")
  ng-template(#renderItem, let-item)
    nz-list-item
      ryax-workflow-details-warnings-item([data]="item")

ng-template(#listHeader)
  span.warnings-title Workflow warnings
  nz-badge([nzCount]="data.messageCount")

ng-template(#listNoResult)
  nz-result(nzStatus="success", nzTitle="Workflow ready", nzSubTitle="Module is ready to be deployed", [nzExtra]="listNoResultSuccessAction")

ng-template(#listNoResultSuccessAction)
  ryax-confirm-button(label="Deploy", icon="play-circle", confirmPlacement="bottomRight", type="primary",
    confirmText="Are you sure to deploy this workflow ?", confirmOkText="Deploy", (confirmOk)="onClickDeploy()")
